﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function BatchLoadAssembleImages()
		SetDataFolder root:		
			Variable/G G_Core_Num, G_Type_Location, G_V1, G_StartCore, G_EndCore, G_X_Resolution, G_CCNumber
			String/G G_Hole, G_Core_Number_Location, G_Section_Number_Location, G_Image_Extension
			String Hole = G_Hole, Core_Number_Location = G_Core_Number_Location
			String Section_Number_Location = G_Section_Number_Location, Image_Extension = G_Image_Extension
			Variable X_Resolution = G_X_Resolution, Type_location = G_Type_location, StartCore = G_StartCore, EndCore = G_EndCore, CCNumber = G_CCNumber
			Prompt Core_Number_Location, "Core Number Location (for >9 use \",\" e.g. 7,8)"
			Prompt Section_Number_Location, "Section Number Location"
			Prompt Type_Location, "Type Location"
			Prompt Image_Extension, "Image Extension (4 characters including \".\" e.g. \".jpg\")"
			Prompt Hole, "Hole e.g. \"U1245A\""
			Prompt StartCore,  "First Core Number"
			Prompt EndCore, "Last Core Number"
			Prompt X_Resolution, "X (depth) Resolution (m) "
			Prompt CCNumber, "Section Number to use in place of CC"
			DoPrompt "BatchLoadAssembleImages", Hole, StartCore, EndCore, Core_Number_Location, Type_Location, Section_Number_Location, Image_Extension, X_Resolution, CCNumber
			G_Hole = Hole; G_Core_Number_Location = Core_Number_Location; G_Section_Number_Location = Section_Number_Location; 
			G_Image_Extension = Image_Extension; G_CCNumber = CCNumber
			G_X_Resolution = X_Resolution; G_Type_location = Type_location; G_StartCore = StartCore; G_EndCore = EndCore
			AbortonValue V_Flag, 0
			BatchLoadAssembleImages_F( Hole, StartCore, EndCore, Core_Number_Location, Type_Location, Section_Number_Location, Image_Extension, X_Resolution, CCNumber )
			Print "BatchLoadAssembleImages_F( \"" +  Hole + "\", " + Num2Str( StartCore ) + ", " + Num2Str( EndCore ) + ", \"" + Core_Number_Location + "\", " + Num2Str( Type_Location ) + ", \"" + Section_Number_Location + "\", \"" + Image_Extension + "\", " + Num2Str( X_Resolution ) + ", " + Num2Str( CCNumber ) + " )"
	End
	
	
	Function BatchLoadAssembleImages_F( Hole, StartCore, EndCore, Core_Number_Location, Type_Location, Section_Number_Location, Image_Extension, X_Resolution, CCNumber )
			String Hole, Core_Number_Location, Section_Number_Location, Image_Extension
			Variable StartCore, EndCore, Type_Location, X_Resolution, CCNumber
		SetDataFolder root:
			Variable i
			String CoreNumStr
			For( i = StartCore; i <= EndCore; i += 1 )
				CoreNumStr = Num2Str( i )
			  Universal_Image_Loader_F( Core_Number_Location, Section_Number_Location, Type_Location, Image_Extension, Hole, CoreNumStr, X_Resolution, CCNumber )
			  Assemble_Core_Image_F( Hole, CoreNumStr, X_Resolution, "Y", "N", "N" )
			  DoUpdate
			EndFor		
	End
