#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function Clean_Expt_Fldrs()
		SetDataFolder root:
			PathInfo home  // Sets system variable S_Path to path to home folder for unpacked experiments
			String SPath, DataFolderList = SortList( FolderList( "*" ) ) // Define some strings. DataFolderList is list of data folders in the experiment.
			Variable i = 0, j = 0
			For( i = 0; i <= ItemsInList( DataFolderList ); i += 1 ) // Cycle through the list of DataFolders 
				If( i > 0 ) // If i = 0 you are in the home (root) directory. All higher numbers are DataFolders
					If( !strlen( StringFromList( i - 1, DataFolderList ) ) ) // Handles case where there are no datafolders in root:
						Break
					EndIf
					SPath = S_Path + StringFromList( i - 1, DataFolderList ) + ":" // Sets local string SPath to home + name of data folders in list
					Print StringFromList( i - 1, DataFolderList ) + ":"
					NewPath/O/Q ExtFolder SPath // Sets path to experiment folder subdirectory named the same as the DataFolder
				SetDataFolder $"root:" + StringFromList( i - 1, DataFolderList ) + ":" // makes the DataFolder the "root:" directory
					DoKill( "ExtFolder" ) // Passes location of external Data File to subroutine for cleansing
				Else // For root:
					Print "root:"
					DoKill( "home" )
				EndIf
			EndFor
		SetDataFolder root:
	End

-----------------------------------------------------------------------------------

	Function DoKill( Path )
		String Path // Path is the path to the Data File Subdirectory that corresponds to the DataFolder in the Browser
		String Filename, WvName // Strings for the Wvname (Browser) and FileName (ext Folder)
		String WvList = WaveList( "*", ";", "" ) // List of waves in datafolder (browser)
		String DataFileList = IndexedFile( $Path, -1, ".ibw" ) // List of files in ext folder
		Variable i = 0, j = 0, k = 0
		Variable Files = ItemsInList( DataFileList ) // Files is the number of files in the ext folder
		For( i = 0; i < Files; i += 1 ) // Loop through all of the files for comparison with waves in Browser DataFolder
			Filename = StringFromList( i, DataFileList )
			FileName = FileName[ 0, StrLen( FileName ) - 5 ] // Gets rid of ".ibw" from file name
			k = 0 // Is the marker for a file and wave match
			For( j = 0; j < ItemsInList( WvList ); j += 1 ) // Loops through Waves in DataFolder and compares to FileName from ext Folder
				WvName = StringFromList( j, WvList )
				If( StringMatch( Filename, Wvname ) )
					k += 1 // k is set to 1 if there is a match between the File Name and one of the wave names
				EndIf
			EndFor
			If( !k ) // If k remains = 0 after comparing names,  
				LoadWave/Q/P = $Path FileName // then load the file into a wave and...
				KillWaves/F $FileName  // then kill the wave and delete the source file
				Print "     ", Filename, "Deleted From Experiment Folder"
			EndIf
		EndFor
	End
