﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function MSBatchLoad()
		SetDataFolder root:
			KillPath/Z Data_Path
			KillVariables/Z Hole
			String DataFileList
			Variable/G G_CC_Replacement
			Variable CC_Replacement = G_CC_Replacement, i
			Prompt CC_Replacement, "Replace CC's with column number used in Coring Matrix (9 is usual)" 
			DoPrompt "MSBatchLoad", CC_Replacement
			G_CC_Replacement = CC_Replacement; AbortOnValue V_Flag, 0
			PathInfo Data_Path
			If( !V_Flag )
				DoAlert 0, "You need to establish the path to the folder holding the data.\r\r Click O.K. and select the folder."
				NewPath Data_Path
			EndIf
			DoAlert 1, "This function will attempt to process all \".csv\" files in a selected folder. You will generate an error if there are non-MS files.\r\rDo you want to continue?"
			AbortOnValue V_Flag == 2, 0
			DataFileList = IndexedFile( Data_Path, -1, ".csv" )
			For( i = 0; i < ItemsInList( DataFileList ); i += 1 )
				LoadWave/A/P=Data_Path/Q/J/W/K=0/L={0,1,0,0,0}/v={",","\"",0,0} StringFromList( i, DataFileList )	
				WAVE/T Site,Hole,Type,A_W,Instrument,Instrument_group,Text_ID,Comments
				WAVE ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Magnetic_susceptibility__instr__units_,Timestamp__UTC_,Test_No_
				String H = Site[0] + Hole[0], SiteNum = RemoveEnding( H )
				Replace_NaNswithNumber_F( "Sect", CC_Replacement )
				NewDataFolder/O $SiteNum + "_MS"
				Duplicate/O Site, $":" + SiteNum + "_MS:" + H + "_MS_Site"; 
				Duplicate/O Hole, $":" + SiteNum + "_MS:" + H + "_MS_Hole"; 
				Duplicate/O Core, $":" + SiteNum + "_MS:" + H + "_MS_Core"; 
				Duplicate/O Type, $":" + SiteNum + "_MS:" + H + "_MS_Type"; 
				Duplicate/O Sect, $":" + SiteNum + "_MS:" + H + "_MS_Section"; 
				Duplicate/O Offset__cm_, $":" + SiteNum + "_MS:" + H + "_MS_Interval"; 
				Duplicate/O Depth_CSF_A__m_, $":" + SiteNum + "_MS:" + H + "_MS_CSFA"; 
				Duplicate/O Magnetic_susceptibility__instr__units_, $":" + SiteNum + "_MS:" + H + "_MS_MS"
				KillWaves Site,Hole,Type,A_W,Instrument,Instrument_group,Text_ID,Comments
				KillWaves ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Magnetic_susceptibility__instr__units_,Timestamp__UTC_,Test_No_
			EndFor
			KillPath Data_Path
	End
	
//	Function MSBatchLoad() // This is the first version, which seemed to work until it didn't.
											// The problem seemed to center around an extra underscore in a column name.
		SetDataFolder root:
			String DataFileList
			Variable/G G_CC_Replacement, i
			Variable CC_Replacement = G_CC_Replacement
			Prompt CC_Replacement, "Replace CC's with column number used in Coring Matrix ( 9 is usual )" 
			DoPrompt "MSBatchLoad", CC_Replacement
			G_CC_Replacement = CC_Replacement; AbortOnValue V_Flag, 0
			PathInfo Data_Path
			If( !V_Flag )
				DoAlert 0, "You need to establish the path to the folder holding the data.\r\r Click O.K. and select the folder."
				NewPath Data_Path
			EndIf
			DoAlert 1, "This function will attempt to process all \".csv\" files in the selected folder. You will generate an error if there are non-MS files.\r\rDo yu want to continue?"
			AbortOnValue V_Flag == 2, 0
			DataFileList = IndexedFile( Data_Path, -1, ".csv" )
			For( i = 0; i < ItemsInList( DataFileList ); i += 1 )
				LoadWave/A/P=Data_Path/Q/J/W/K=0/L={0,1,0,0,0}/v={",","\"",0,0} StringFromList( i, DataFileList )				
				WAVE/T Site,Hole,Type,A_W,Instrument,Instrument_group,Text_ID,Comments
				WAVE ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Magnetic_susceptibility__instr_,Timestamp__UTC_,Test_No_
				If( StrSearch( Site[ 0 ], "\"", 0 ) > -1 ) // This section takes care of the quotes in the downloaded data file if they are present
					String S2 = Site[0]; S2 = S2[ 1 , StrLen( S2 ) - 2 ]; Site = S2
					String H2 = Hole[0]; H2 = H2[ 1 , StrLen( H2 ) - 2 ]; Hole = H2
					String T2 = Type[0]; T2 = T2[ 1 , StrLen( T2 ) - 2 ]; Type = T2
				EndIf
				String H = Site[0] + Hole[0], SiteNum = RemoveEnding( H )
				Replace_NaNswithNumber_F( "Sect", CC_Replacement )
				NewDataFolder/O $SiteNum + "_MS"
				Duplicate/O Site, $":" + SiteNum + "_MS:" + H + "_MS_Site"; 
				Duplicate/O Hole, $":" + SiteNum + "_MS:" + H + "_MS_Hole"; 
				Duplicate/O Core, $":" + SiteNum + "_MS:" + H + "_MS_Core"; 
				Duplicate/O Type, $":" + SiteNum + "_MS:" + H + "_MS_Type"; 
				Duplicate/O Sect, $":" + SiteNum + "_MS:" + H + "_MS_Section"; 
				Duplicate/O Offset__cm_, $":" + SiteNum + "_MS:" + H + "_MS_Interval"; 
				Duplicate/O Depth_CSF_A__m_, $":" + SiteNum + "_MS:" + H + "_MS_CSFA"; 
				Duplicate/O Magnetic_susceptibility__instr_, $":" + SiteNum + "_MS:" + H + "_MS_MS"
				KillWaves Site,Hole,Type,A_W,Instrument,Instrument_group,Text_ID,Comments
				KillWaves ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Magnetic_susceptibility__instr_,Timestamp__UTC_,Test_No_
			EndFor
			KillPath Data_Path
	End
			
