﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function MaskCoreImages()
		SetDataFolder root:
			DoAlert/T = "mbsf Check" 1, "This function will revert core images to CSF/mbsf.\r\rDo you want to continue?"
			AbortOnValue V_Flag == 2, 0
			String/G G_Hole 
			String Hole = G_Hole, Site
			Variable/G G_TransparencyLevel
			Variable TransparencyLevel = G_TransparencyLevel
			Prompt Hole, "Hole:"
			Prompt TransparencyLevel, "Transparency Level ( 0 = tranparent, 255 = opaque )"
			DoPrompt "MaskCoreImages", Hole, TransparencyLevel
			G_Hole = Hole; G_TransparencyLevel = TransparencyLevel; AbortOnValue V_Flag, 0
			Site = RemoveEnding( Hole )
			 Image_CCSF_2_CSF_F( Hole, "S2" )
		SetDataFolder $Site + "_Disturbance"
			WAVE BottomDepth = $Hole + "_Disturbance_BottomDepth"
			WAVE TopDepth = $Hole + "_Disturbance_TopDepth"		 
			WAVE/T CoreImage = $Hole + "_Disturbance_CoreImage"
		SetDataFolder root:
			Variable i
			DoAlert/T = "Gamma Layer Check" 1, "Did you remember to redimension the images to add a 4th layer?"
			AbortOnValue V_Flag == 2, 0
			For( i = 0; i < NumPnts( TopDepth ); i += 1 )
				SetDataFolder ImageHole( CoreImage[i] ) + "_S2"
					WAVE Image = $CoreImage[i]
					If( DimSize( Image, 2 ) < 4 )
						SetDataFolder root:
						ABORT CoreImage[i] + " doesn't have 4 layers. You need to redimension."
					EndIf
					Image[ (X2Pnt( Image, TopDepth[i] )), (X2Pnt( Image, BottomDepth[i] )) ][][ 3 ] = TransparencyLevel
				SetDataFolder root:
			EndFor		
	End
	
	Function RestoreFullImage()
		SetDataFolder root:
			Variable i
			String/G G_ImageFolder
			String ImageFolder = G_ImageFolder, ImageList
			Prompt ImageFolder, "Select the image folder:", popup, FolderList( "*" )
			DoPrompt "RestoreFullImage", ImageFolder
			G_ImageFolder = ImageFolder
			AbortOnValue V_Flag, 0
		SetDataFolder $ImageFolder
			ImageList = WaveList( "*", ";", "DIMS:3" )
			For( i = 0; i < ItemsInList( ImageList ); i += 1 )
				WAVE Image = $StringFromList( i, ImageList )
				Image[][][3] = 255
			EndFor 				
		SetDataFolder root:		
	End

