﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function NewDataPlot()
		SetDataFolder root:
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_TorB, G_XAxisName
			Variable/G G_AxisTop, G_AxisBottom
			String Technique = G_Technique, LorR, TorB = G_TorB, XAxisName = G_XAxisName
			String Data = G_Data, Hole = G_Hole, Scale = G_Scale
			String Axes = ""
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom
			Prompt Hole, "Hole (e.g. U1337B):"
			Prompt Technique, "Technique (e.g. GRA, RSC, MS, etc):"
			Prompt Data, "Data (e.g. GRA, AStar, FE_Area, etc):"
			Prompt Scale, "Depth/Age Scale ( e.g. CSF, CCSF, mbsf, mcd, Age, mybp ... ) ?"
			Prompt TorB, "X Axis Top or Bottom", popup, "B;T"
			Prompt AxisTop, "Y Axis Portion Top (%):"
			Prompt AxisBottom, "Y Axis Portion Bottom (%):"
			Prompt LorR, "Y Axis Position?", popup, "R;L"
			Prompt XAxisName, "Name the X Axis:", popup, "Depth;Age;OtherX"
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
			DoPrompt "NewDataPlot", Hole, Technique, Data, AxisBottom, AxisTop, LorR, TorB, Scale, XAxisName; 
			G_Data = Data; G_Hole= Hole; G_Scale = Scale; G_Technique = Technique
			G_AxisTop = AxisTop; G_AxisBottom = AxisBottom; G_TorB = TorB; G_XAxisName = XAxisName
			AbortOnValue V_Flag, 0 // This aborts the function - after the globals have been reset and cancel is clicked
			If( StringMatch( XAxisName, "OtherX") ) // This prompt is the case where the X axis will be something other than depth or age
				Prompt XAxisName, "Enter a name for the X axis:"
				DoPrompt "NewDataPlot_F", XAxisName
				G_XAxisName = XAxisName; AbortOnValue V_Flag, 0
			EndIf
			Print "\rNewDataPlot_F( \"" + Hole + "\", \"" + Technique + "\", \"" + Data + "\",", AxisBottom,",", AxisTop, ", \"" + LorR + "\", \"" + TorB + "\", \"" + Scale + "\", \"" + XAxisName + "\" )" 		
			NewDataPlot_F( Hole, Technique, Data, AxisBottom, AxisTop, LorR, TorB, Scale, XAxisName ) 
	End
			
	------------------------------------------------------------------------------
	
	Function 	NewDataPlot_F( Hole, Technique, Data, AxisBottom, AxisTop, LorR, TorB, Scale, XAxisName ) 
		String Hole, Technique, Data, TorB, Scale, LorR, XAxisName
		Variable AxisTop, AxisBottom
		SetDataFolder root:
			String XAxis = XAxisName + "Axis" // XAxisName becomes the name for the x axis with "Axis" added
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
		SetDataFolder $Folder // Go to the data folder to set the waverefs
			Check4DoubleUnderscoresInNames( )
			WAVE DataWave = $Hole+"_"+Technique+"_"+Data, XWave = $Hole+"_"+Technique+"_"+Scale // Set wave refs
			If( !Exists( NameOfWave( DataWave  ) ) ) // Check for the data wave
				SetDataFolder root:
				Abort "Data Wave " + NameOfWave( DataWave ) + " Is Not In The " + Technique + " Data Folder"
			EndIf
			If( !Exists( NameOfWave( XWave ) ) )  // Check for the depth wave
				SetDataFolder root:
				Abort "Data Wave " + NameOfWave( XWave ) + " Is Not In The " + Technique + " Data Folder"
			EndIf
			Preferences 1 // Use the default size and position for a new graph
			Display/W=(569,57,2212,494) // Opens a new blank graph
		SetDataFolder root:
			If( Stringmatch( TorB, "T" ) ) // This is for the X axis on the top
				If( StringMatch( LorR, "R" ) )
					AppendToGraph/T = $XAxis /R = $NameOfWave( DataWave ) DataWave vs XWave 
				Else
					AppendToGraph/T = $XAxis /L =  $NameOfWave( DataWave ) DataWave vs XWave
				EndIf
			Else  // This is for the X axis on the bottom
				If( StringMatch( LorR, "R" ) ) 
					AppendToGraph/B = $XAxis/R = $NameOfWave( DataWave ) DataWave vs  XWave
				Else
					AppendToGraph/B = $XAxis/L = $NameOfWave( DataWave ) DataWave vs XWave
				EndIf
			EndIf
			Label $NameOfWave( DataWave ) "\\Z16\\f01" + Hole +"_" + Data
			ModifyGraph axisEnab( $NameOfWave( DataWave ) ) = { AxisBottom/100, AxisTop/100 }
			ModifyGraph lblPos( $NameOfWave( DataWave ) ) = 70, freePos( $NameOfWave( DataWave )) = 0
			ModifyGraph lsize( $NameOfWave( DataWave ) ) = 2
			ModifyGraph fSize=16
			ModifyGraph nticks($XAxis)=10,minor($XAxis)=1,freePos( $XAxis ) = 0
		SetDataFolder root:
			DoWindow/H 
	End
		
	------------------------------------------------------------------------------
	
