﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function AgeModelCheck( AgeWave, DepthWave )
		String AgeWave, DepthWave
		WAVE AgeWv = $AgeWave, DepthWv = $DepthWave
		Duplicate/O AgeWv AgeWvDIF
		Differentiate AgeWvDIF
		FindLevel/Q AgeWVDIF .0000001
		If( !V_Flag )
			DoAlert 1, "There is some sort of age inversion near point " +  Num2Str( Round( V_LevelX ) ) + " in the age model data.\r\rDo you want to continue?"
			KillWaves/Z AgeWvDIF
			If( V_Flag > 1.1 )
				SetDataFolder root:
				ABORT
			EndIf
		EndIf
		Duplicate/O DepthWv DepthWvDIF
		Differentiate DepthWvDIF
		FindLevel/Q DepthWVDIF .0001
		If( !V_Flag )
			DoAlert 1, "There is some sort of depth inversion near point " +  Num2Str( Round( V_LevelX ) ) + " in the age model data.\r\rDo you want to continue?"
			KillWaves/Z DepthWvDIF
			If( V_Flag > 1.1 )
				SetDataFolder root:
				ABORT
			EndIf
		EndIf	
		If( AgeWv[ 0 ] != 0 && DepthWv[ 0 ] != 0 )
			DoAlert 1, "The age model does not begin with 0 age at 0 depth.\r\rDo you want to continue?"
			If( V_Flag > 1.1 )
				SetDataFolder root:
				ABORT
			EndIf
		EndIf	
	End
