﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// Checks to see if the age/depth model is monotonically increasing.
// Returns 0 if there is a problem, 1 if o.k.
// 27 OCT 2017

	Function CheckAgeModel( AgeWv, DepthWv )
		WAVE AgeWv, DepthWv
		Duplicate/O AgeWv TempCheckAge, TempCheckDepth // Wave used to see if age and depth data are monotonically increasing
		Differentiate AgeWv/D=TempCheckAge;DelayUpdate
		Differentiate DepthWv/D=TempCheckDepth;DelayUpdate
		If( WaveMin( TempCheckAge ) < 0 || WaveMin( TempCheckDepth ) < 0 )
			KillWaves/Z TempCheckAge, TempCheckDepth	
			Return 0
		Else
			KillWaves/Z TempCheckAge, TempCheckDepth	
			Return 1
		EndIf
	End