﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function pauses a running function to allow the user to move cursors.
	
	
	Function UserCursorAdjust() 
		Variable autoAbortSecs = 0
		String GraphName = WinName( 0, 1 )
		NewPanel /K=2 /W=(187,368,500,500) as "Pause for Cursor" 
		DoWindow/C PickRegistrationPoints // Set to an unlikely name 
		DrawText 21,20,"Set Cursor A on a registration point and then"
		DrawText 21,40,"      Click Continue."
		Button button0,pos={80,58},size={92,20},title="Continue" 
		Button button0,proc=UserCursorAdjust_ContButtonProc 
		Variable didAbort= 0
		If( autoAbortSecs == 0 )
			PauseForUser PickRegistrationPoints,$graphName 
		Else
			SetDrawEnv textyjust= 1
			DrawText 162,103,"sec"
			SetVariable sv0,pos={48,97},size={107,15},title="Aborting in " 
			SetVariable sv0,limits={-inf,inf,0},value= _NUM:10
			Variable td= 10,newTd
			Variable t0= ticks
			Do
				newTd= autoAbortSecs - round((ticks-t0)/60) 
				If( td != newTd )
					td= newTd
					SetVariable sv0,value= _NUM:newTd,win=PickRegistrationPoints 
					If( td <= 10 )
						SetVariable sv0,valueColor= (65535,0,0),win=PickRegistrationPoints 
					Endif
				Endif
				If( td <= 0 )
					DoWindow/K PickRegistrationPoints
					didAbort= 1
					Break
				Endif
				PauseForUser/C PickRegistrationPoints,$graphName 
			While(V_flag)
		Endif
		Return didAbort
		End
	
	
	-------------------------------------------------------------
	
	
	Function UserCursorAdjust2(grfName)
		String grfName
		DoWindow/F $grfName // Bring graph to front
		if (V_Flag == 0) // Verify that graph exists
			Abort "UserCursorAdjust: No such graph."
			return -1
		endif
		NewPanel/K=2 /W=(139,341,382,432) as "Pause for Cursor"
		DoWindow/C tmp_PauseforCursor // Set to an unlikely name
		AutoPositionWindow/E/M=1/R=$grfName // Put panel near the graph
		DrawText 21,20,"You Forgot to set the Cursor!"
		DrawText 21,40,"Set and Click Continue"
		Button button0,pos={80,58},size={92,20},title="Continue"
		Button button0,proc=UserCursorAdjust_ContButtonProc
		PauseForUser tmp_PauseforCursor,$grfName
		return 0
	End
	
	
	-------------------------------------------------------------
	
	
	Function UserCursorAdjust_ContButtonProc(ctrlName) : ButtonControl
		String ctrlName
		DoWindow/K tmp_PauseforCursor // Kill self
	End
	
	Function Stop_It(ctrlName)
		String ctrlName
		SetDataFolder root:
		DoWindow/K tmp_PauseforCursor // Kill self
		Abort
	End
	
	-------------------------------------------------------------
