﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function Select_Splice_Intervals()
		SetDataFolder root:
			String/G G_Site, G_Folder, G_YorN, G_YorN2
			String Site = G_Site, Folder = G_Folder, YorN = G_YorN, YorN2 = G_YorN2
			String Wvlist
			Variable i
			Prompt Site, "Site"
			DoPrompt "Select_Splice_Intervals", Site
			G_Site = Site
			AbortOnValue V_Flag, 0
			NewDataFolder/O $Site + "_Splice_Intervals_Folders"
			DFREF IntervalFolders = $Site + "_Splice_Intervals_Folders" // Reference to folder of folders
			DFREF ActiveIntervalFolder = $Site + "_Splice_Intervals" // Reference to active splice Intervals folder, e.g. U1146_Splice_Intervals. Different sets of Intervals are copied into this folder for processing
		SetDataFolder ActiveIntervalFolder
			WAVE CCSF_Bottom
			String ActiveWaveNote = note( CCSF_Bottom ) // Copies the wavenote identifying the "home" of the waves in the active spice Interval folder
			If( StrLen( ActiveWaveNote ) == 0 ) // Checks to be sure there is a wavenote naming a folder in which to save the active Intervals
				String Alert1 = "The active Intervals do not have a wavenote identifying their Intervals folder.\r\r" // Warning if not
				String Alert3 = "They will not be saved.\r\r Do you want to continue?"
				DoAlert 1, Alert1 + Alert3 
				If( V_Flag == 2 )
				SetDataFolder root:
					ABORT "Use \"Folder_WaveNotes\" to add a new folder name as a wavenote for the active Intervals." // Use chose to stop and alert window suggests what to do next
				EndIf
			EndIf
		SetDataFolder IntervalFolders // Go to the folder of folders
			Prompt Folder, "Choose Intervals:", popup, FolderList( "*" )
			Prompt YorN, "Save active splice interval values in \"" + ActiveWaveNote + "\"?", popup, "Yes;No"
			Prompt YorN2, "Convert Intervals to Ties?", popup, "Yes;No"
			DoPrompt "Select_Splice_Intervals", Folder, YorN, YorN2 // Select a set of Intervals and decide whether to save existing set and whether to convert Intervals to intervals
			G_Folder = Folder; G_YorN = YorN; G_YorN2 = YorN2
			If( V_Flag )
				SetDataFolder root:
				ABORT
			EndIf
		If( StringMatch( YorN, "Yes" ) ) // User decides to save active set of Intervals to folder designated in wavenote
		SetDataFolder ActiveIntervalFolder
			WvList = WaveList( "*", ";", "" )
			For( i = 0; i < ItemsInList( WvList ); i += 1 ) // Copies from active splice_Intervals folder to "save" folder
				WAVE IntervalWave = $StringFromList( i, WvList )
				NewDataFolder/O IntervalFolders:$note( IntervalWave )
				DFREF Dfldr = IntervalFolders:$note( IntervalWave )
				Duplicate/O IntervalWave Dfldr:$NameOfWave( IntervalWave )				
			EndFor
		EndIf
		SetDataFolder IntervalFolders:$Folder // Copies Intervals in "save" folder to actice splice Intervals folder
			WvList = WaveList( "*", ";", "" )
			For( i = 0; i < ItemsInList( WvList ); i += 1 )
				WAVE IntervalWave = $StringFromList( i, WvList )
				Note/K IntervalWave, Folder // As the waves are copies a wavenote is added naming the folder they come from
				Duplicate/O IntervalWave ActiveIntervalFolder:$NameOfWave( IntervalWave )
			EndFor
		SetDataFolder root:
			If( StringMatch( YorN2, "Yes" ) ) // Creates splice intervals from splice Intervals if desired
				Splice_Interval_Data_2_Ties_F( Site )
			EndIf
	End