#pragma rtGlobals=1		// Use modern global access method.

|	FFT_Csr_Pad() - This macro performs an fft of the autocorrelation of
|	a segment of equally spaced data. It tapers the ends of the data with a sine function
|	of user specified length. The data segment is then padded with zeros to a length also
|	specified by the user.

|	Last changes Nov 26, 2001.

macro FFT_Csr_Pad(m2,taper_length,fit)
	string s1=csrwave(a);
	variable m2=G_v2, v1=pcsr(b)-pcsr(a), taper_length=G_v6, fit=G_v7,center;
	prompt m2, "Segment Points: "+num2str(v1)+".  TotalPoints (with Padding):";
	prompt taper_length, "Segment Points: "+num2str(v1)+".  Taper length:";
	prompt fit, "Trend Subtraction - None (0), Linear (1), 4th Order Polynomial (4):";
	silent 1;
	G_v2=m2;
	G_v6=taper_length;
	G_v7=fit
	//print s1;
	duplicate/O/r=(xcsr(a),xcsr(b)) $s1 section, fit_section;
	wavestats/q section;
	make/o/n=(v_npnts) taper;
	taper=1;
	taper((v_npnts-taper_length),)=sin(  (3*pi/2) - (  (x-v_npnts+1)  *(pi/taper_length) ) );
	taper(,taper_length)=sin(3*pi/2-(x*(pi/taper_length)));
	taper+=1;
	taper/=2;
	If(Fit==0)
		Fit_Section=0;
	EndIf;
	If(Fit==1)
		CurveFit/Q line, Section /D
	Endif;
	If(Fit>1)
		CurveFit/Q poly (Fit+1), Section /D
	Endif;
	duplicate/o section segment;
	section-=fit_section;
	section*=taper;
	Hanning section;
	duplicate/O section Tapered_Data
	Redimension/N=(1*m2) section;
	Correlate/C section, section;
	fft  section;
	make/O/N=(1*m2/2+1) power;
	power = sqrt((real(section)*real(section))+ ( imag(section)*imag(section)));
	smooth 5, power;
	power [,2]=0
	wavestats/q power;
	power/=v_max;
	copyscales section power;
	//print hcsr(a)+((hcsr(b)-hcsr(a))/2);
	center = hcsr(a)+((hcsr(b)-hcsr(a))/2);
end macro
