﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function MakeInterpolatedAgeWave( )
		SetDataFolder root:
			String/G G_AgeModelFldr, G_DataFldr, G_Age_Data, G_Depth_Data, G_Data, G_DataDepth
			String AgeModelFldr = G_AgeModelFldr, Age_Data = G_Age_Data, Depth_Data = G_Depth_Data
			String Data = G_Data, DataDepth = G_DataDepth, DataFldr = G_DataFldr
			Prompt AgeModelFldr, "Folder containing the age model", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt "MakeInterpolatedAgeWave", AgeModelFldr
			G_AgeModelFldr = AgeModelFldr; AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + AgeModelFldr
			Prompt Age_Data, "Age wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			Prompt Depth_Data, "Depth wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			DoPrompt "MakeInterpolatedAgeWave", Age_Data, Depth_Data
			G_Age_Data = Age_Data; G_Depth_Data = Depth_Data; AbortOnValue V_Flag, 0
			WAVE AgeModelAge = $Age_Data, AgeModelDepth = $Depth_Data
		SetDataFolder root:
			Prompt DataFldr, "Original Data folder", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt"MakeInterpolatedAgeWave", DataFldr
			G_DataFldr = DataFldr; AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + DataFldr
			Prompt Data, "Data wave (interpolated)", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			DoPrompt "MakeInterpolatedAgeWave", Data//, DataDepth
			G_Data = Data; G_DataDepth = DataDepth; AbortOnValue V_Flag, 0
			WAVE DataWv = $Data//, DataDepthWv = $DataDepth
			Duplicate/O DataWv InterpolatedDepthWv
			InterpolatedDepthWv = x
//			Now make a data wave that is interpolated to a 1000 yr age scale
			Make/O/N = ( WaveMax( AgeModelAge ) / .001 ) AgeDataWv_I
		NewDataFolder/O/S $"root:Xtras"	
//			First make an age wave for the depth-scaled data
			Duplicate/O DataWv TempAgeWv, TempDataWv
			Duplicate/O InterpolatedDepthWv TempDataDepthWv
			InsertPoints 0, 1, TempAgeWv, TempDataDepthWv, TempDataWv // This adds zero age to the top of the age wave if it isn't there already
			TempDataWv[ 0 ] = TempDataWv [ 1 ]
			TempAgeWv = interp( TempDataDepthWv, AgeModelDepth, AgeModelAge )
			SetScale/P x 0,0.001,"", AgeDataWv_I
			AgeDataWv_I = x
			Duplicate/O AgeDataWv_I TempDataAge
			AgeDataWv_I = interp( TempDataAge, TempAgeWv, DataWv )
		SetDataFolder root:
			KillWaves/Z TempAgeWv, TempDataDepthWv, TempDataWv, TempDataAge, DataWvPlus, FFTSegment, Section
	End



//	Function MakeInterpolatedAgeWave( )
		SetDataFolder root:
			String/G G_AgeModelFldr, G_DataFldr, G_Age_Data, G_Depth_Data, G_Data, G_DataDepth
			String AgeModelFldr = G_AgeModelFldr, Age_Data = G_Age_Data, Depth_Data = G_Depth_Data
			String Data = G_Data, DataDepth = G_DataDepth, DataFldr = G_DataFldr
			Prompt AgeModelFldr, "Folder containing the age model", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt "MakeInterpolatedAgeWave", AgeModelFldr
			G_AgeModelFldr = AgeModelFldr; AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + AgeModelFldr
			Prompt Age_Data, "Age wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			Prompt Depth_Data, "Depth wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			DoPrompt "MakeInterpolatedAgeWave", Age_Data, Depth_Data
			G_Age_Data = Age_Data; G_Depth_Data = Depth_Data; AbortOnValue V_Flag, 0
			WAVE AgeModelAge = $Age_Data, AgeModelDepth = $Depth_Data
		SetDataFolder root:
			Prompt DataFldr, "Data folder", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt"MakeInterpolatedAgeWave", DataFldr
			G_DataFldr = DataFldr; AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + DataFldr
			Prompt Data, "Data wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			Prompt DataDepth, "Data depth wave", popup, SortList( WaveList( "*", ";", "DIMS:1" ) )
			DoPrompt "MakeInterpolatedAgeWave", Data, DataDepth
			G_Data = Data; G_DataDepth = DataDepth; AbortOnValue V_Flag, 0
			WAVE DataWv = $Data, DataDepthWv = $DataDepth
		NewDataFolder/O/S $"root:Xtras"	
//			First make an age wave for the depth-scaled data
			Duplicate/O DataWv TempAgeWv, TempDataWv
			Duplicate/O DataDepthWv TempDataDepthWv
			InsertPoints 0, 1, TempAgeWv, TempDataDepthWv, TempDataWv // This adds zero age to the top of the age wave if it isn't there already
			TempDataWv[ 0 ] = TempDataWv [ 1 ]
			TempAgeWv = interp( TempDataDepthWv, AgeModelDepth, AgeModelAge )
//			Now make a data wave that is interpolated to a 1000 yr age scale
			Make/O/N = ( WaveMax( AgeModelAge ) / .001 ) AgeDataWv_I
			SetScale/P x 0,0.001,"", AgeDataWv_I
			AgeDataWv_I = x
			Duplicate/O AgeDataWv_I TempDataAge
			AgeDataWv_I = interp( TempDataAge, TempAgeWv, DataWv )
		SetDataFolder root:
			KillWaves/Z TempAgeWv, TempDataDepthWv, TempDataWv
	End