#pragma rtGlobals=1		// Use modern global access method.
	
	Function Next_Spectrum(  )
		SetDataFolder root:
			DoWindow/F NormAmp	
			Variable/G G_Period_Track, G_Top_Age, G_CsrADepth, G_Sed_Rate
			String/G G_Age_Fit, G_P_or_N, G_A_or_M, G_Site, G_SPeriod, G_Data_Wave, G_OutPutName
			String Site = G_Site
			Prompt Site, "Site"
			DoPrompt "Next_Spectrum", Site; AbortOnValue V_Flag, 0
			G_Site = Site
		SetDataFolder Poly_Predictions
			WAVE Depth = $G_Site + "_PolyDepth", Age = $G_Site + "_PolyAge"
		SetDataFolder root:Xtras
			WAVE NMatrix, Period, Power
		SetDataFolder root:
			Variable First_Time = 1; 
			Variable i = qcsr( a ), CsrPos = 0, Period_Track = G_Period_Track
			Variable Top_Age = Interp( dimoffset( NMatrix, 1 ), Depth, Age )
			String P_or_N = G_P_or_N, A_or_M = G_A_or_M, PeriodList = "", S1, SPeriod = G_SPeriod
			Variable j = 0, k = 0
			DoWindow/F Norm_Amp
			For( j = 0; j < NumPnts( Period ); j += 1 )
				Sprintf S1, "%0.3f;", Period[ j ]
				PeriodList = PeriodList + S1
			EndFor
			Prompt P_or_N,  "New ( N ) or Partial( P ):"
			Prompt i,  "Starting Spectrogram Line:"
			Prompt SPeriod,  "Period to Track:", popup, PeriodList
			Prompt A_or_M,  "Auto ( A ) or Manual ( M ):"
			Prompt Top_Age,  "Estimated Age at First Spectrum Depth:"
			DoPrompt "Next_Spectrum" P_or_N, i, SPeriod, A_or_M, Top_Age; AbortOnValue V_Flag, 0
			G_Top_Age = Top_Age; G_Period_Track = Period_Track; G_P_or_N = P_or_N; G_A_or_M = A_or_M; G_SPeriod = SPeriod	
			If( i == 0 )
				DoAlert/T = "Cursor Position Alert" 1,  "Do You really Want to Start at the Top (Line 0)?"
				If ( V_Flag == 2 )
					Abort "Make NormAmp the top graph and run Next_Spectrum Again"
				EndIf
			EndIF	
			If( i != 0 && StringMatch( P_or_N, "N" ) )
				DoAlert/T = "New or Partial Alert" 1, "You are not starting at the top but have chosen a new solution.\r\rDo you want to continue?"
				AbortOnValue ( V_Flag == 2 ), 0
			EndIf
			CsrPos = pcsr( a )
			Period_Track = Str2Num( SPeriod )
			Print "Period  =  ",  Period_Track
		SetDataFolder Xtras
			If( Stringmatch( P_or_N, "N" ) || Stringmatch( P_or_N, "n" ) )
					Make/O/N = ( DimSize( Nmatrix, 1 ) ) Inst_Sed_Rate
					WAVE Inst_Sed_Rate
					SetScale/P x ( Dimoffset( Nmatrix, 1 ) ), ( DimDelta( Nmatrix, 1 ) ), "", Inst_Sed_Rate
					Inst_Sed_Rate = NaN;
					Cursor/P/I/A = 1 A NMatrix CsrPos, 0
					Duplicate/O Inst_Sed_Rate Freq_Pick, NormAmp_CCSF, Period_Pick, Inst_R_S, Inst_Age
			Else
				WAVE Freq_Pick, NormAmp_CCSF, Period_Pick, Inst_Sed_Rate, Inst_R_S, Inst_Age	
			EndIf
			NormAmp_CCSF = x

// This folder holds picks for all of the periods in the Period list no matter which period the user is tracking

		NewDataFolder/O/S root:Pick_Traces_All_Periods
				For( j = 0; j < NumPnts( Period ); j += 1 )
					Make/O $"Freq_Pick_" + Num2Str( Period[ j ] * 1000 ) + "k"
				EndFor
				
		SetDataFolder root:			
				DoWindow/F NormAmp
				If ( ( StrSearch( TraceNameList( "", ";", 1 ), "NormAmp_CCSF", 0 ) ) < 0 )
					AppendToGraph NormAmp_CCSF vs Freq_Pick
					ModifyGraph lsize = 2
				EndIf
				CsrPos = Pcsr( a )

// This is the main loop

			For( i = i; i < DimSize( Nmatrix, 1 ); i += 1 )
				PauseUpdate;
				DoWindow/F NormAmp
				Cursor/P/I/A = 1 A NMatrix CsrPos, i
				G_CsrADepth = VCsr( A )
				Extract_Power(  );
				WaveStats/Q/R = ( ( xcsr( a ) - .05 ), ( xcsr( a ) + .05 ) ) Power;
				DoWindow/F PowerWindow
				Cursor A Power V_MaxLoc;
				If(  ( First_Time ) || StringMatch( A_or_M, "M" ) || StringMatch( A_or_M, "m" ) )
					UserCursorAdjust()
//					UserCursorAdjust( WinName( 0, 1 ) )
					First_Time = 0
				EndIf	
				Freq_Pick[ i ] = xcsr( a );
				CsrPos = pcsr( a )

	// Period_Track and the cycles/m determine the sedimentation rate

				Period_Pick[ i ] = Period_Track
				Inst_Sed_Rate = 1 / ( Period_Pick *  Freq_Pick )
				
			SetDataFolder root:Pick_Traces_All_Periods
				For( j = 0; j < NumPnts( Period ); j += 1 )
					Duplicate/O Inst_Sed_Rate $"Freq_Pick_" + Num2Str( Period[ j ] * 1000 ) + "k"
					WAVE WTemp = $"Freq_Pick_" + Num2Str( Period[ j ] * 1000 ) + "k"
					WTemp = 1 / ( Period[ j ] * Inst_Sed_Rate )
				EndFor
				Duplicate/O WTemp FreqPick_CCSF
				FreqPick_CCSF = NormAmp_CCSF
				
	// Integ_S_R integrates the sed rates over depth to produce an age/depth curve	
	
			SetDataFolder root:
				SetScale/P x ( DimOffset( Nmatrix, 1 ) ), ( DimDelta( Nmatrix, 1 ) ), "", Inst_Sed_Rate
				Inst_R_S = 1 / Inst_Sed_Rate
				Integrate Inst_R_S/D = Inst_Age
				Inst_Age += Top_Age - Inst_Age[ 0 ]
				
				DoWindow/F AgeVersusDepth
				String TraceList = TraceNameList( "", ";", 1 )
				If( StrSearch( TraceList, "NormAmp_CCSF", 0 ) < 0 )
					AppendToGraph NormAmp_CCSF vs Inst_Age
					ModifyGraph lsize( NormAmp_CCSF ) = 3,rgb( NormAmp_CCSF ) = (0,60000, 0 )
				EndIf	

	// Now save the picks for this trial
	
				Duplicate/O Freq_Pick $"root:"+G_OutPutName+":"+G_OutPutName+"_Freq_Pick"
				Duplicate/O Period_Pick $"root:"+G_OutPutName+":"+G_OutPutName+"_Period_Pick"
				Duplicate/O NormAmp_CCSF $"root:"+G_OutPutName+":"+G_OutPutName+"_Freq_Pick_CCSF"
				Duplicate/O Inst_Age $"root:"+G_OutPutName+":"+G_OutPutName+"_Inst_Age"
				Duplicate/O Inst_Sed_Rate $"root:"+G_OutPutName+":"+G_OutPutName+"_Inst_Sed_Rate"

				G_Sed_Rate = Inst_Sed_Rate[i]
				DoUpdate;
			EndFor
		SetDataFolder root:
				DoWindow/F Norm_Amp
				SaveExperiment
	EndMacro
	
		-------------------------------------------------------------
	
