#pragma rtGlobals=1		// Use modern global access method and strict wave access.

//  This function assumes and assigns CSF of 0 for the top splice section - Core 1, Section 1, Interval = 0
//     when it converts from the old Splice Tie Table to the new Splice Interval Table format
//  Different values will need to be hand entered after the space for the top of the first section is added.


	Function Splice_Tie_Data_2_Intervals( )
			DoAlert/T = "WARNING!" 1, "Running this function will break any links to currently shared Splice Interval data and create local versions. Use \"Splice_Interval_Table()\" to see the current values.  \r\r Do you wish to proceed?"
			If( V_Flag == 2 )
				ABORT
			EndIf
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site
			Prompt Site, "Site"
			DoPrompt "Splice_Tie_Data_2_Intervals", Site;
			G_Site = Site
 			Print "Splice_Tie_Data_2_Intervals_F( \"" + Site + "\" )"
			AbortOnValue V_Flag, 0
			Splice_Tie_Data_2_Intervals_F( Site )
	End
	
	Function Splice_Tie_Data_2_Intervals_F( Site )
			String Site
		SetDataFolder root:
			NewDataFolder/O $"root:"+ Site + "_Splice_Intervals"
			DFREF IntervalFldr = $"root:"+ Site + "_Splice_Intervals"
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			String WvNote = note( $"Core_Top" )
			WvNote = ReplaceString( "Ties", WvNote, "Intervals" )
			WAVE/T Site_Bottom,Hole_Bottom,Type_Bottom,Site_Top,Hole_Top,Type_Top,TIE
			WAVE Core_Bottom,Section_Bottom,Interval_Bottom,CSF_Bottom,CCSF_Bottom
			WAVE Core_Top,Section_Top,Interval_Top,CSF_Top,CCSF_Top
			Duplicate/O Site_Top IntervalFldr:Site_Top
			Duplicate/O Hole_Top IntervalFldr:Hole_Top
			Duplicate/O Type_Top IntervalFldr:Type_Top
			Duplicate/O Core_Top IntervalFldr:Core_Top
			Duplicate/O Section_Top IntervalFldr:Section_Top
			Duplicate/O Interval_Top IntervalFldr:Interval_Top
			Duplicate/O CSF_Top IntervalFldr:CSF_Top
			Duplicate/O CCSF_Top IntervalFldr:CCSF_Top			
			Duplicate/O TIE IntervalFldr:TIE
			Duplicate/O Section_Bottom IntervalFldr:Section_Bottom
			Duplicate/O Interval_Bottom IntervalFldr:Interval_Bottom
			Duplicate/O CSF_Bottom IntervalFldr:CSF_Bottom
			Duplicate/O CCSF_Bottom IntervalFldr:CCSF_Bottom			
		SetDataFolder IntervalFldr
			WAVE/T Site_Top,Hole_Top,Type_Top,TIE
			WAVE Section_Bottom,Interval_Bottom,CSF_Bottom,CCSF_Bottom
			WAVE Core_Top,Section_Top,Interval_Top,CSF_Top,CCSF_Top
			InsertPoints 0,1, CCSF_Top,Core_Top,CSF_Top,Hole_Top,Interval_Top,Section_Top
			InsertPoints 0,1, Site_Top, Type_Top//, TIE
			Section_Top[0] = 1; Interval_Top[0] = 0; CSF_Top[0] = 0; CCSF_Top[0] = 0
			Site_Top[ 0 ] = Site_Top[ 1 ];  Type_Top[ 0 ] = Type_Top[ 1 ]; Core_Top[ 0 ] = 1; TIE[ 0 ] = "ANCHOR"
			Duplicate/O/T Hole_Top Site_Top; Site_Top = Site
			String Top_Hole = Hole_Bottom[ 0 ]
			Hole_Top[ 0 ] = Top_Hole
			String WvList = WaveList( "*", ";", "" )
			Variable i
			For( i = 0; i < ItemsInList( WvList ); i += 1 )
				Note/K $StringFromList( i, WvList ), WvNote
			EndFor
		SetDataFolder root:
			Splice_Interval_Table_F( Site )
	End
	
-------------------------------------------------------------------------------------------------------

	Function Splice_Interval_Data_2_Ties( )
			DoAlert/T = "WARNING!" 1, "Running this function will break any links to currently shared Splice Tie data and create local versions. Use \"Splice_Tie_Table()\" to see the current values.  \r\r Do you wish to proceed?"
			AbortOnValue V_Flag == 2, 0
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site
			Prompt Site, "Site"
			DoPrompt "Splice_Interval_Data_2_Ties", Site; 
			Print "Splice_Interval_Data_2_Ties_F( \"" + Site + "\" )"
			AbortOnValue V_Flag, 0
			Splice_Interval_Data_2_Ties_F( Site )
	End

	Function Splice_Interval_Data_2_Ties_F( Site )
			String Site
		SetDataFolder root:
		NewDataFolder/O $"root:"+ Site + "_Splice_Ties"
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			String WList, Top_Hole, WvNote
			WvNote = note( $"Core_Top" )
			WvNote = ReplaceString( "Intervals", WvNote, "Ties" )
			Variable i = 0
			WList = WaveList( "!*Number", ";", "" )
			For( i = 0; i < ItemsInList( WList );  i += 1 )
				WAVE W1 = $StringFromList( i, WList )
				Duplicate/O W1 $"root:"+ Site + "_Splice_Ties:" + StringFromList( i, WList )
				WAVE W2 = $"root:"+ Site + "_Splice_Ties:" + StringFromList( i, WList )
				Note/K W2, WvNote
			EndFor
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			WAVE  Core_Top, Section_Top, Interval_Top, CSF_Top, CCSF_Top
			WAVE/T Site_Top, Hole_Top, Type_Top, Hole_Bottom, Type_Bottom, TIE
			WAVE  Core_Bottom, Section_Bottom, Interval_Bottom, CSF_Bottom, CCSF_Bottom
			WAVE/T Site_Bottom
			Duplicate/O Core_Top Core_Bottom; 
			Duplicate/O/T Type_Top Type_Bottom; Duplicate/O/T Site_Top Site_Bottom; 
			Duplicate/O/T Hole_Top Hole_Bottom; Duplicate/O/T Hole_Bottom TIE
			Tie = ""
			DeletePoints 0,1, CCSF_Top, Core_Top, CSF_Top, Hole_Top, Interval_Top, Section_Top;DelayUpdate
			DeletePoints 0,1, Site_Top, Type_Top			
		SetDataFolder root:
			Splice_Tie_Table_F( Site );
	End
	
-----------------------------------

//	Function Splice_Tie_Data_2_Intervals_F( Site )
			String Site
		SetDataFolder root:
			Splice_Interval_Table_F( Site )
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			String WList, Top_Hole
			Variable i
			WList = WaveList( "!*Comment", ";", "" )
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			WAVE/T Hole_Bottom
			Top_Hole = Hole_Bottom[0]
			For( i = 0; i < ItemsInList( WList );  i += 1 )
				WAVE W1 = $StringFromList( i, WList )
				Duplicate/O W1 $"root:"+ Site + "_Splice_Intervals:" + StringFromList( i, WList )
			EndFor
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			WAVE/Z  Core_Top, Section_Top, Interval_Top, CSF_Top, CCSF_Top
			WAVE/Z/T Site_Top, Hole_Top, Type_Top, TIE, Comment
			WAVE/Z  Section_Bottom, Interval_Bottom, CSF_Bottom, CCSF_Bottom
			InsertPoints 0,1, CCSF_Top,Core_Top,CSF_Top,Hole_Top,Interval_Top,Section_Top;DelayUpdate
			InsertPoints 0,1, Site_Top, Type_Top, TIE
			Section_Top[0] = 1; Interval_Top[0] = 0; CSF_Top[0] = 0; CCSF_Top[0] = 0
			Site_Top[ 0 ] = Site_Top[ 1 ];  Type_Top[ 0 ] = Type_Top[ 1 ]; Core_Top[ 0 ] = 1; TIE[ 0 ] = "ANCHOR"
			Duplicate/O/T Hole_Top Site_Top; Site_Top = Site
			Hole_Top[ 0 ] = Top_Hole	
			Duplicate/O/T TIE Comment; Comment = ""
		SetDataFolder root:
			Splice_Interval_Table_F( Site )
		
	End

//	Function Splice_Interval_Data_2_Ties( )
			DoAlert/T = "WARNING!" 1, "Running this function will break any links to currently shared Splice Tie data and create local versions. Use \"Splice_Tie_Table()\" to see the current values.  \r\r Do you wish to proceed?"
			If( V_Flag == 2 )
				ABORT
			EndIf
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site, WList, Top_Hole
			Variable i = 0
			Prompt Site, "Site"
			DoPrompt "Splice_Interval_Data_2_Ties", Site; AbortOnValue V_Flag, 0
			Splice_Tie_Table_F( Site );
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			WList = WaveList( "!*Number", ";", "" )
			For( i = 0; i < ItemsInList( WList );  i += 1 )
				WAVE W1 = $StringFromList( i, WList )
				Duplicate/O W1 $"root:"+ Site + "_Splice_Ties:" + StringFromList( i, WList )
			EndFor
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			WAVE  Core_Top, Section_Top, Interval_Top, CSF_Top, CCSF_Top
			WAVE/T Site_Top, Hole_Top, Type_Top, Hole_Bottom, Type_Bottom, TIE
			WAVE  Core_Bottom, Section_Bottom, Interval_Bottom, CSF_Bottom, CCSF_Bottom
			WAVE/T Site_Bottom
			Duplicate/O Core_Top Core_Bottom; 
			Duplicate/O/T Type_Top Type_Bottom; Duplicate/O/T Site_Top Site_Bottom; 
			Duplicate/O/T Hole_Top Hole_Bottom; Duplicate/O/T Hole_Bottom TIE
			Tie = ""
			DeletePoints 0,1, CCSF_Top, Core_Top, CSF_Top, Hole_Top, Interval_Top, Section_Top;DelayUpdate
			DeletePoints 0,1, Site_Top, Type_Top			
		SetDataFolder root:
	End
	


